package com.fjhx.jxst.service.work;

import com.fjhx.jxst.entity.work.po.WorkOrderProductionProcesses;
import com.ruoyi.common.core.service.BaseService;
import com.fjhx.jxst.entity.work.vo.WorkOrderProductionProcessesVo;
import com.fjhx.jxst.entity.work.dto.WorkOrderProductionProcessesSelectDto;
import com.fjhx.jxst.entity.work.dto.WorkOrderProductionProcessesDto;

import java.util.List;

/**
 * <p>
 * 工单工序 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-17
 */
public interface WorkOrderProductionProcessesService extends BaseService<WorkOrderProductionProcesses> {

    /**
     * 工单工序列表
     */
    List<WorkOrderProductionProcessesVo> getList(WorkOrderProductionProcesses dto);

    /**
     * 工单工序编辑
     */
    void edit(WorkOrderProductionProcessesDto workOrderProductionProcessesDto);

}
